package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TextField implements FastDatePrinter.Rule {
  private final int mField;
  
  private final String[] mValues;
  
  TextField(int field, String[] values) {
    this.mField = field;
    this.mValues = values;
  }
  
  public int estimateLength() {
    int max = 0;
    for (int i = this.mValues.length; --i >= 0; ) {
      int len = this.mValues[i].length();
      if (len > max)
        max = len; 
    } 
    return max;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    buffer.append(this.mValues[calendar.get(this.mField)]);
  }
}
